> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates



## OpenAPI

````yaml /openapi.json get /prop/templates
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /prop/templates:
    get:
      tags:
        - Prop trading
      summary: List Templates
      operationId: list_templates_prop_templates_get
      parameters:
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    TemplateListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TemplateListItem'
          type: array
          title: Items
      type: object
      required:
        - items
      title: TemplateListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TemplateListItem:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        is_seed:
          type: boolean
          title: Is Seed
        is_active:
          type: boolean
          title: Is Active
        account_size:
          anyOf:
            - type: number
            - type: 'null'
          title: Account Size
        account_currency:
          type: string
          title: Account Currency
        fee_amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Fee Amount
        fee_currency:
          type: string
          title: Fee Currency
        journeys_count:
          type: integer
          title: Journeys Count
          default: 0
      type: object
      required:
        - id
        - name
        - is_seed
        - is_active
        - account_size
        - account_currency
        - fee_amount
        - fee_currency
      title: TemplateListItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````